
QGIS Application - Bug report #12106

pyhon error when opening Import into PostGIS from Processing
Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20300

Description

When opening "Import into PostGIS" from Processing I've this python error:

Traceback (most recent call last):

  File "/home/luk/bin/qgis2.8_cr/share/qgis/python/plugins/processing/gui/ProcessingToolbox.py", line 200, in executeAlgorithm

    dlg = AlgorithmDialog(alg)

  File "/home/luk/bin/qgis2.8_cr/share/qgis/python/plugins/processing/gui/AlgorithmDialog.py", line 52, in init

    self.mainWidget = ParametersPanel(self, alg)

  File "/home/luk/bin/qgis2.8_cr/share/qgis/python/plugins/processing/gui/ParametersPanel.py", line 97, in init

    self.initWidgets()

  File "/home/luk/bin/qgis2.8_cr/share/qgis/python/plugins/processing/gui/ParametersPanel.py", line 122, in initWidgets

    widget = self.getWidgetFromParameter(param)

  File "/home/luk/bin/qgis2.8_cr/share/qgis/python/plugins/processing/gui/ParametersPanel.py", line 221, in getWidgetFromParameter

    item.addItem(self.getExtendedLayerName(layer), layer)

  File "/home/luk/bin/qgis2.8_cr/share/qgis/python/plugins/processing/gui/ParametersPanel.py", line 198, in getExtendedLayerName

    return '{} [{}]'.format(layer.name(), authid)

UnicodeEncodeError: 'ascii' codec can't encode character u'\\xe0' in position 10: ordinal not in range(128)

Associated revisions

Revision 5560f00d - 2015-02-03 09:12 AM - Alexander Bruy

Merge pull request #1878 from gioman/fix_processing_encoding

fix enconding in processing when input layer names have non ascii chars (fix #12106)

History

#1 - 2015-01-31 08:34 AM - Luca Lanteri

I've the same problem from many (but not all) qgis processing algorithm (eg: join attribute table, count point in polygon)

#2 - 2015-01-31 09:53 AM - Luca Lanteri

The problem is due to some layer with local italian character (accented chars)

#3 - 2015-02-03 12:08 AM - Giovanni Manghi

- Resolution set to fixed/implemented
- Assignee changed from Victor Olaya to Giovanni Manghi

- Status changed from Open to Feedback

fixed with

https://github.com/qgis/QGIS/pull/1878

#4 - 2015-02-03 12:32 AM - Giovanni Manghi

- Status changed from Feedback to Closed
https://github.com/qgis/QGIS/pull/1878

